#!/bin/bash

. /lib/lsb/init-functions

if [ ! -d /sys/bus/pnp/devices ]; then exit; fi

cd /sys/bus/pnp/devices

case $1 in
    start|restart|reload|force-reload)
    log_begin_msg "Doing Wacom setup..."
    for x in *; do
	PORT=unknown;
	for y in `cat $x/id`; do
	    case "$y" in
		WACf008*|WACf007|WACf006*|WACf005*|WACf004*)
		if [ -d $x/tty ]; then
			PORT=/dev/`ls $x/tty`
		else
			PORT=/dev/`echo $x/tty:* | awk -F: '{print $3}'`
		fi		
		ln -sf $PORT /dev/input/wacom
		;;
	    esac
	done
    done
    log_end_msg 0;
    ;;
    stop)
    exit 0;
    ;;
esac
